# Embeddings & Citation-Pipeline

Semantische Suche in Wahlprogrammen, Zitat-Rekonstruktion und
PDF-Highlighting.

## Retrieval

::: app.embeddings.find_relevant_chunks
    options:
      show_root_heading: true

::: app.embeddings.get_relevant_quotes_for_antrag
    options:
      show_root_heading: true

## Prompt-Formatierung

::: app.embeddings.format_quotes_for_prompt
    options:
      show_root_heading: true

## Citation Post-Processing (Issue #60)

::: app.embeddings.reconstruct_zitate
    options:
      show_root_heading: true

::: app.embeddings.find_chunk_for_text
    options:
      show_root_heading: true

## PDF-Highlighting (Issue #47)

::: app.embeddings.render_highlighted_page
    options:
      show_root_heading: true

## Indexierung

::: app.embeddings.index_programm
    options:
      show_root_heading: true

::: app.embeddings.PROGRAMME
    options:
      show_root_heading: true
